package com.ruoyi.system.service;

import com.ruoyi.system.domain.QyInfoPritn;

import java.util.List;

/**
 * 企业打印列表Service接口
 *
 * @author ruoyi
 * @date 2020-01-10
 */
public interface IQyInfoPritnService
{
    /**
     * 查询企业打印列表
     *
     * @param id 企业打印列表ID
     * @return 企业打印列表
     */
        QyInfoPritn selectQyInfoPritnById(Long id);
        /**
     * 查询企业打印列表
     *
     * @return 企业打印列表
     */
        QyInfoPritn selectQyInfoPritnByBsid(String bsid);

    /**
     * 查询企业打印列表列表
     *
     * @param qyInfoPritn 企业打印列表
     * @return 企业打印列表集合
     */
    List<QyInfoPritn> selectQyInfoPritnList(QyInfoPritn qyInfoPritn);

    /**
     * 查询企业打印列表列表
     *
     * @return 企业打印列表集合
     */
    List<QyInfoPritn> selectQyInfoPritnC(String card);

    /**
     * 新增企业打印列表
     *
     * @param qyInfoPritn 企业打印列表
     * @return 结果
     */
    int insertQyInfoPritn(QyInfoPritn qyInfoPritn);

    /**
     * 修改企业打印列表
     *
     * @param qyInfoPritn 企业打印列表
     * @return 结果
     */
    int updateQyInfoPritn(QyInfoPritn qyInfoPritn);

    /**
     * 修改企业打印列表
     *
     * @param qyInfoPritn 企业打印列表
     * @return 结果
     */
    int updateQyInfoPritnByBsid(QyInfoPritn qyInfoPritn);

    /**
     * 批量删除企业打印列表
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteQyInfoPritnByIds(String ids);

    /**
     * 删除企业打印列表信息
     *
     * @param id 企业打印列表ID
     * @return 结果
     */
    int deleteQyInfoPritnById(Long id);

    String selectMaxZzCode ();

    String selectByAppNo(String appNo);

    /**
     * 查询企业打印列表列表
     *
     * @param qyInfoPritn 企业打印列表
     * @return 企业打印列表集合
     */
    List<QyInfoPritn> selectQyInfoPritnByIsPrint(QyInfoPritn qyInfoPritn);


    QyInfoPritn selectBySqh(String appNo);
}
